%bcond_without check

%global goipath         github.com/HdrHistogram/hdrhistogram-go
Version:                1.0.1

%gometa

%global goaltipaths     github.com/codahale/hdrhistogram

%global common_description %{expand:
A pure Go implementation of Gil Tene's HDR Histogram.

A Histogram that supports recording and analyzing sampled data value counts
across a configurable integer value range with configurable value precision
within the range. Value precision is expressed as the number of significant
digits in the value recording, and provides control over value quantization
behavior across the value range and the subsequent value resolution at any given
level.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Pure Go implementation of Gil Tene's HDR Histogram

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%if %{with check}
BuildRequires:  golang(github.com/google/go-cmp/cmp)
BuildRequires:  golang(github.com/stretchr/testify/assert)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Tue Sep 03 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.1-1
- initial build
